# Lists Physical Analyses Retrieves a paginated list of physical analyses, optionally filtered by analysis date range or analysed lot. Endpoint: POST /quality.physical.listPhysicalAnalyses Security: oauth2 ## Request fields (application/json): - `params` (object) - `params.filter` (object) Defines all required and optional filter parameters for the operation. - `params.filter.analysisDate` (object) Filters physical analyses by their analysis date range. - `params.filter.analysisDate.from` (string) Filters the results to include only records created on or after this date. The date must be provided in ISO 8601 format (YYYY-MM-DDTHH:mm:ssZ). The filter is inclusive. Example: "2023-10-05T14:48:00Z" - `params.filter.analysisDate.to` (string) Filters the results to include only records created before this date. The date must be provided in ISO 8601 format (YYYY-MM-DDTHH:mm:ssZ). The filter is exclusive. Example: "2023-10-05T14:48:00Z" - `params.filter.analysedLotIds` (array) Filters physical analyses to only include those that analysed one of the given coffees. Example: ["550e8400-e29b-41d4-a716-446655440000"] - `params.pagination` (object) Defines all required and optional pagination parameters for the operation. - `params.pagination.limit` (integer) The number of elements to be returned Example: 20 - `params.pagination.after` (string) The cursor to retrieve the next page. This is an opaque value that should not be interpreted by the client. Example: "aBc=" ## Response 200 fields (application/json): - `ok` (boolean) Indicates whether the request was successful. Example: true - `result` (object) Contains the response data of a successful request. - `result.physicalAnalyses` (array) - `result.physicalAnalyses.id` (string) The unique identifier of the physical analysis. Example: "550e8400-e29b-41d4-a716-446655440000" - `result.physicalAnalyses.analysisNumber` (string) A human-readable identifier for the analysis. Example: "QC-0001" - `result.physicalAnalyses.analysisDate` (string) The date on which the analysis was performed, in ISO 8601 format. Example: "2023-10-05T14:48:00Z" - `result.physicalAnalyses.moisture` (object) The moisture measurement of the analysed coffee. - `result.physicalAnalyses.moisture.amount` (number, required) The amount represented as a floating-point number. Example: 12.5 - `result.physicalAnalyses.moisture.unit` (string, required) The unit of the amount. Enum: "PERCENT", "FRACTION" - `result.physicalAnalyses.waterActivity` (object) The water activity measurement of the analysed coffee. - `result.physicalAnalyses.density` (object) The density measurement of the analysed coffee. - `result.physicalAnalyses.density.amount` (number, required) The density amount represented as a floating-point number. Example: 11.1 - `result.physicalAnalyses.density.unit` (string, required) The unit of the density. Enum: "G_PER_ML" - `result.physicalAnalyses.analysedLot` (object) A reference to the coffee that was analysed. - `result.physicalAnalyses.analysedLot.id` (string) The unique identifier of the referenced entity. Example: "550e8400-e29b-41d4-a716-446655440000" - `result.physicalAnalyses.analysedLot.type` (string) The type of the referenced entity, which can be used to determine at which endpoint the 'id' field can be used to retrieve the full entity details. Example: "INVENTORY_ROAST" - `meta` (object) Contains the metadata (e.g. pagination information) of the response. - `meta.pagination` (object) Represents the pagination fields of the response. - `meta.pagination.endCursor` (string) Cursor value to retrieve the records of the next page. If there no further pages, this value is null. Example: "aBc=" ## Response 400 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 401 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 403 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 422 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 500 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided"